Package nl.tudelft.simulation.dsol.animation.gis.map

## Interface AttributeInterface

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `AbstractAttribute`, `Attribute`, `StaticAttribute`

    public interface AttributeInterface
    extends Serializable

This class defines the attributes for a map layer.

Copyright (c) 2020-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `getAngle​(int shapeIndex)` returns the angle of the attribute.
`Font` `getFont()`
`Color` `getFontColor()`
`LayerInterface` `getLayer()` returns the layer.
`double` `getMaxScale()`
`double` `getMinScale()`
`ScreenPosition` `getPosition()`
`String` `getValue​(int shapeIndex)`
`void` `setFont​(Font font)`
`void` `setFontColor​(Color fontColor)`
`void` `setMaxScale​(double maxScale)` sets the maxScale of the attribute.
`void` `setMinScale​(double minScale)` sets the minScale of the attribute.
`void` `setPosition​(ScreenPosition position)`

### Method Detail

#### getAngle

    double getAngle​(int shapeIndex)

returns the angle of the attribute.

Parameters:
  `shapeIndex` - int; the shapeIndex
Returns:
  the angle

#### getFont

    Font getFont()

Returns:
  the font

#### getFontColor

    Color getFontColor()

Returns:
  the color

#### getPosition

    ScreenPosition getPosition()

Returns:
  the position

#### getValue

    String getValue​(int shapeIndex)

Parameters:
  `shapeIndex` - int; the shapeIndex
Returns:
  the value of the attribute

#### setFont

    void setFont​(Font font)

Parameters:
  `font` - Font; the font to set

#### setFontColor

    void setFontColor​(Color fontColor)

Parameters:
  `fontColor` - Color; the font color to set

#### setPosition

    void setPosition​(ScreenPosition position)

Parameters:
  `position` - int; the position to set

#### getLayer

    LayerInterface getLayer()

returns the layer.

Returns:
  the layer of this attribute

#### getMaxScale

    double getMaxScale()

Returns:
  the maxScale

#### getMinScale

    double getMinScale()

Returns:
  the minScale

#### setMinScale

    void setMinScale​(double minScale)

sets the minScale of the attribute.

Parameters:
  `minScale` - double; the minscale to set

#### setMaxScale

    void setMaxScale​(double maxScale)

sets the maxScale of the attribute.

Parameters:
  `maxScale` - double; the maxscale to set